<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.partisiablockchain.language</groupId>
  <artifactId>example-client</artifactId>
  <packaging>jar</packaging>
  <version>5.103.0</version>

  <licenses>
    <license>
      <name>AGPL-3.0-or-later</name>
      <url>https://www.gnu.org/licenses/agpl.txt</url>
      <distribution>repo</distribution>
    </license>
  </licenses>

  <repositories>
    <repository>
      <id>gitlab-partisiablockchain</id>
      <url>https://gitlab.com/api/v4/groups/12499775/-/packages/maven/</url>
    </repository>
  </repositories>

  <pluginRepositories>
    <pluginRepository>
      <id>gitlab-partisiablockchain</id>
      <url>https://gitlab.com/api/v4/groups/12499775/-/packages/maven/</url>
    </pluginRepository>
  </pluginRepositories>

  <parent>
    <groupId>com.partisiablockchain</groupId>
    <artifactId>pom</artifactId>
    <version>4.114.0</version>
  </parent>

  <dependencies>
    <dependency>
      <groupId>org.mockito</groupId>
      <artifactId>mockito-core</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.partisiablockchain.core</groupId>
      <artifactId>client</artifactId>
      <version>5.40.0</version>
    </dependency>
    <dependency>
      <groupId>com.partisiablockchain.language</groupId>
      <artifactId>abi-client</artifactId>
      <version>5.132.0</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.partisiablockchain.language</groupId>
      <artifactId>contract-standard</artifactId>
      <version>5.132.0</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.partisiablockchain.language</groupId>
      <artifactId>codegen-lib</artifactId>
      <version>5.132.0</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.web3j</groupId>
      <artifactId>core</artifactId>
      <exclusions>
        <exclusion>
          <groupId>org.bouncycastle</groupId>
          <artifactId>bcprov-jdk15on</artifactId>
        </exclusion>
        <exclusion>
          <groupId>com.github.jnr</groupId>
          <artifactId>jnr-ffi</artifactId>
        </exclusion>
        <exclusion>
          <groupId>com.github.jnr</groupId>
          <artifactId>jnr-constants</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.jetbrains.kotlin</groupId>
          <artifactId>kotlin-stdlib</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.jetbrains.kotlin</groupId>
          <artifactId>kotlin-stdlib-common</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.jetbrains.kotlin</groupId>
          <artifactId>kotlin-stdlib-jdk8</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <!-- Included explicitly since web3j has transitive dependency on two different versions -->
    <dependency>
      <groupId>org.jetbrains.kotlin</groupId>
      <!--suppress KotlinMavenPluginPhase -->
      <artifactId>kotlin-stdlib</artifactId>
      <version>1.8.21</version>
    </dependency>  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>com.partisiablockchain.language</groupId>
        <artifactId>abi-generation-maven-plugin</artifactId>
        <version>5.132.0</version>
        <executions>
          <execution>
            <phase>generate-sources</phase>
            <goals>
              <goal>abi-code-gen</goal>
            </goals>
            <configuration>
              <generateTestSources>true</generateTestSources>
              <abiPath>src/test/resources/</abiPath>
              <deserializeRpc>true</deserializeRpc>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

</project>
